package cn.superdesk.uniorder.dao.mapper.common;

import cn.superdesk.uniorder.dao.entity.common.UploadFiles;
import cn.superdesk.uniorder.dao.entity.common.UploadFilesExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface UploadFilesMapper {
    long countByExample(UploadFilesExample example);

    int deleteByExample(UploadFilesExample example);

    int deleteByPrimaryKey(Long id);

    int insert(UploadFiles record);

    int insertSelective(UploadFiles record);

    List<UploadFiles> selectByExample(UploadFilesExample example);

    UploadFiles selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") UploadFiles record, @Param("example") UploadFilesExample example);

    int updateByExample(@Param("record") UploadFiles record, @Param("example") UploadFilesExample example);

    int updateByPrimaryKeySelective(UploadFiles record);

    int updateByPrimaryKey(UploadFiles record);
}